#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

require 'sqlite3'
require 'cgi'

db = SQLite3::Database.new("../sql/stamp.sq3")

c = CGI.new(:accept_charaset => "UTF-8")
check = c['check']
if check == "OK"
  begin
    db.execute("drop table main;")
    db.extcute("drop table logs;")
    text = "<p>データを削除しました。</p>"
  rescue
    text = "<p>データがありません。</p>"
  end
else
  text = "データは削除されません"
end

printf("Content-type: text/html; charset=UTF-8\n\n")

printf'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Delete table</title>
<link rel="stylesheet" type="text/css" href="design.css">
</head>
</body>
%s
<p><a href="etsuran.rb">データ閲覧ページへ</a></p>
<p></p>
</body></html>
',text
